package com.ruoyi.feeagreement.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 费用协议从从从对象 t_warehouse_fee_agreement_type_business_detail_formula
 * 
 * @author dongyongwei
 * @date 2021-08-02
 */
public class TWarehouseFeeAgreementTypeBusinessDetailFormula extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long fId;

    /** 主表id */
    @Excel(name = "主表id")
    private Long fWarehouseFeeAgreementTypeFId;

    /** 从表id */
    @Excel(name = "从表id")
    private Long fWarehouseFeeAgreementTypeBusinessFId;

    /** 从从表id */
    @Excel(name = "从从表id")
    private Long fWarehouseFeeAgreementTypeBusinessDetailFId;

    /** 属性 */
    @Excel(name = "属性")
    private Long fAttribute;

    /** 公式 */
    @Excel(name = "公式")
    private Long fFormula;

    /** 值 */
    @Excel(name = "值")
    private String fValue;

    /** 删除状态（0正常 1停用） */
    @Excel(name = "删除状态", readConverterExp = "0=正常,1=停用")
    private Integer fDelFlag;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fUpdateTime;

    /** 更新人ID */
    @Excel(name = "更新人ID")
    private Long fUpdateBy;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fCreateTime;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long fCreateBy;

    /** 备注 */
    @Excel(name = "备注")
    private String fRemark;

    public void setfId(Long fId) 
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfWarehouseFeeAgreementTypeFId(Long fWarehouseFeeAgreementTypeFId) 
    {
        this.fWarehouseFeeAgreementTypeFId = fWarehouseFeeAgreementTypeFId;
    }

    public Long getfWarehouseFeeAgreementTypeFId() 
    {
        return fWarehouseFeeAgreementTypeFId;
    }
    public void setfWarehouseFeeAgreementTypeBusinessFId(Long fWarehouseFeeAgreementTypeBusinessFId) 
    {
        this.fWarehouseFeeAgreementTypeBusinessFId = fWarehouseFeeAgreementTypeBusinessFId;
    }

    public Long getfWarehouseFeeAgreementTypeBusinessFId() 
    {
        return fWarehouseFeeAgreementTypeBusinessFId;
    }
    public void setfWarehouseFeeAgreementTypeBusinessDetailFId(Long fWarehouseFeeAgreementTypeBusinessDetailFId) 
    {
        this.fWarehouseFeeAgreementTypeBusinessDetailFId = fWarehouseFeeAgreementTypeBusinessDetailFId;
    }

    public Long getfWarehouseFeeAgreementTypeBusinessDetailFId() 
    {
        return fWarehouseFeeAgreementTypeBusinessDetailFId;
    }
    public void setfAttribute(Long fAttribute) 
    {
        this.fAttribute = fAttribute;
    }

    public Long getfAttribute() 
    {
        return fAttribute;
    }
    public void setfFormula(Long fFormula) 
    {
        this.fFormula = fFormula;
    }

    public Long getfFormula() 
    {
        return fFormula;
    }
    public void setfValue(String fValue) 
    {
        this.fValue = fValue;
    }

    public String getfValue() 
    {
        return fValue;
    }
    public void setfDelFlag(Integer fDelFlag) 
    {
        this.fDelFlag = fDelFlag;
    }

    public Integer getfDelFlag() 
    {
        return fDelFlag;
    }
    public void setfUpdateTime(Date fUpdateTime) 
    {
        this.fUpdateTime = fUpdateTime;
    }

    public Date getfUpdateTime() 
    {
        return fUpdateTime;
    }
    public void setfUpdateBy(Long fUpdateBy) 
    {
        this.fUpdateBy = fUpdateBy;
    }

    public Long getfUpdateBy() 
    {
        return fUpdateBy;
    }
    public void setfCreateTime(Date fCreateTime) 
    {
        this.fCreateTime = fCreateTime;
    }

    public Date getfCreateTime() 
    {
        return fCreateTime;
    }
    public void setfCreateBy(Long fCreateBy) 
    {
        this.fCreateBy = fCreateBy;
    }

    public Long getfCreateBy() 
    {
        return fCreateBy;
    }
    public void setfRemark(String fRemark) 
    {
        this.fRemark = fRemark;
    }

    public String getfRemark() 
    {
        return fRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fWarehouseFeeAgreementTypeFId", getfWarehouseFeeAgreementTypeFId())
            .append("fWarehouseFeeAgreementTypeBusinessFId", getfWarehouseFeeAgreementTypeBusinessFId())
            .append("fWarehouseFeeAgreementTypeBusinessDetailFId", getfWarehouseFeeAgreementTypeBusinessDetailFId())
            .append("fAttribute", getfAttribute())
            .append("fFormula", getfFormula())
            .append("fValue", getfValue())
            .append("fDelFlag", getfDelFlag())
            .append("fUpdateTime", getfUpdateTime())
            .append("fUpdateBy", getfUpdateBy())
            .append("fCreateTime", getfCreateTime())
            .append("fCreateBy", getfCreateBy())
            .append("fRemark", getfRemark())
            .toString();
    }
}
